Skip to main content
PATCH
Update an Entry

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Account-Id
string
required

Unique identifier of the Midaz Ledger Account (UUID format).

X-Reason
enum<string>
required

Specifies the reason for Pix key entry update. Valid values: USER_REQUESTED, BRANCH_TRANSFER, RECONCILIATION.

Available options:
USER_REQUESTED,
BRANCH_TRANSFER,
RECONCILIATION

Path Parameters

entry_id
string
required

Unique identifier of the Pix entry (UUID format).

Body

application/json
account
object
required

Updated account information.

owner
object
required

Updated owner information.

metadata
object

Optional key-value map for updating custom attributes.

Response

Entry updated successfully in DICT and local database.

id
string

Unique identifier of the entry (UUID format).

Example:

"019c96a0-0c0c-7221-8cf3-13313fb60081"

key
string

Pix key value.

Example:

"john.doe@example.com"

keyType
string

Type of Pix key.

Example:

"EMAIL"

status
string

Entry status (ACTIVE, INACTIVE).

Example:

"ACTIVE"

account
object
owner
object
createdAt
string<date-time>

Creation timestamp.

Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>

Last update timestamp.

Example:

"2024-01-15T10:30:00Z"